import request from '@/utils/request'

// 查询风险点隐患及异常情况列表
export function listRectification(query) {
  return request({
    url: '/system/rectification/list',
    method: 'get',
    params: query
  })
}

// 查询风险点隐患及异常情况详细
export function getRectification(id) {
  return request({
    url: '/system/rectification/' + id,
    method: 'get'
  })
}

// 新增风险点隐患及异常情况
export function addRectification(data) {
  return request({
    url: '/system/rectification',
    method: 'post',
    data: data
  })
}

// 修改风险点隐患及异常情况
export function updateRectification(data) {
  return request({
    url: '/system/rectification',
    method: 'put',
    data: data
  })
}

// 删除风险点隐患及异常情况
export function delRectification(id) {
  return request({
    url: '/system/rectification/' + id,
    method: 'delete'
  })
}

// 导出风险点隐患及异常情况
export function exportRectification(query) {
  return request({
    url: '/system/rectification/export',
    method: 'get',
    params: query
  })
}
